Skip to main content
GET
Get payment

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

paymentId
string
required

Response

OK

paymentId
string
required

The payment identifier

Minimum string length: 1
createdAt
string<date-time>
required

Timestamp when the transaction was created

type
enum<string>
required
Available options:
Payment,
Refund
receiptId
string
required

The receipt identifier

Minimum string length: 1
storeId
string
required

The store identifier

Minimum string length: 1
state
enum<string>
required
Available options:
WaitingMemberConfirmation,
WaitingPosCapture,
Captured,
Canceled,
WaitingRefund,
Refunded,
WaitingExternalAction
amount
number<double>
required

The amount that the transaction was created with

paymentMethods
object[]
required

The collection of payment methods selected by the member

Last modified on August 10, 2026